### Function

# Nautilus module_list_types

#### Declaration [src]

    void
    nautilus_module_list_types (
      const GType** types,
      int* num_types
    )

#### Description [src]

Called after the extension has been initialized and has registered all the types it exports, to load them into Nautilus.

This function is not directly available to language bindings.

#### Parameters

`types`

  Type: An array of `GType*`

  Array of GType *

  The argument will be set by the function.
  The length of the array is specified in the `num_types` argument.
  The data is owned by the caller of the function.

`num_types`

  Type: `int*`

  The number of types in the array.

  The argument will be set by the function.